# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
rust-version = "1.88"
name = "ntex-net"
version = "3.10.0"
authors = ["ntex contributors <team@ntex.rs>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "ntexwork utils for ntex framework"
homepage = "https://ntex.rs"
documentation = "https://docs.rs/ntex-net/"
readme = false
keywords = [
    "network",
    "framework",
    "async",
    "futures",
]
categories = [
    "network-programming",
    "asynchronous",
]
license = "MIT OR Apache-2.0"
repository = "https://github.com/ntex-rs/ntex.git"
resolver = "2"

[features]
compio = [
    "ntex-rt/compio",
    "compio-net",
    "compio-driver",
    "compio-runtime",
    "compio-buf",
    "compio-io",
]
default = []
neon = []
neon-polling = []
neon-uring = []
tokio = [
    "ntex-rt/tokio",
    "tok-io",
]
trace = []

[lib]
name = "ntex_net"
path = "src/lib.rs"

[dependencies.bitflags]
version = "2"

[dependencies.cfg-if]
version = "1.0.0"

[dependencies.compio-buf]
version = "0.8.0"
optional = true

[dependencies.compio-driver]
version = "0.11.1"
optional = true

[dependencies.compio-io]
version = "0.9.0"
optional = true

[dependencies.compio-net]
version = "0.11.0"
optional = true

[dependencies.compio-runtime]
version = "0.11.0"
optional = true

[dependencies.libc]
version = "0.2.164"

[dependencies.log]
version = "0.4"

[dependencies.ntex-bytes]
version = "1.6.2"

[dependencies.ntex-error]
version = "2.2.0"

[dependencies.ntex-http]
version = "1.2.0"

[dependencies.ntex-io]
version = "3.10.0"

[dependencies.ntex-polling]
version = "3.10.0"

[dependencies.ntex-rt]
version = "3.12.0"

[dependencies.ntex-service]
version = "4.6.0"

[dependencies.ntex-util]
version = "3.6.0"

[dependencies.scoped-tls]
version = "1.0.1"

[dependencies.slab]
version = "0.4.9"

[dependencies.socket2]
version = "0.6.1"
features = ["all"]

[dependencies.thiserror]
version = "2"

[dependencies.tok-io]
version = "1"
features = [
    "rt",
    "net",
]
optional = true
default-features = false
package = "tokio"

[dev-dependencies.ntex]
version = "3.7.0"

[dev-dependencies.oneshot]
version = "0.2.1"
features = [
    "std",
    "async",
]

[target.'cfg(target_os = "linux")'.dependencies.ntex-io-uring]
version = "0.7.120"
features = ["direct-syscall"]

[lints.rust]
missing_debug_implementations = "deny"
rust_2018_idioms = "deny"
unreachable_pub = "deny"
warnings = "deny"

[lints.rust.async_fn_in_trait]
level = "allow"
priority = -1

[lints.rust.unexpected_cfgs]
level = "warn"
priority = -2
check-cfg = ["cfg(docsrs_dep)"]
